
QGIS Application - Feature request #5341

Move the 'show features in canvas' option to the attribute table

2012-04-11 09:47 AM - Rhys Stewart

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15041

Description

There is an option to limit the rows in the attribute table to objects within the canvas. I find it very useful! However it is buried within the

options dialogue box and so to get back the default option of viewing all records in the table can become tedious. It would be great if this

option was moved to the table itself alongside the 'Show selected only' and 'Search selected only' check boxes.

Further, it would be also good to have an option that would refresh the table if the canvas extent is changed.

History

#1 - 2012-04-11 09:50 AM - Giovanni Manghi

I agree very much with both requests.

#2 - 2012-04-17 07:35 AM - Rhys Stewart

If this is implemented it would also be helpful to change the title of the table so that the user will know that only elements in the canvas are being displayed

in the table. For example:

 0/74 feature(s) on canvas selected. 97 Features in total.

#3 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-12 12:26 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

there is an option "Show features visible on Map" in QGIS 2.13 master. When you change the extent of the canvas, the content of the attribute table is

refreshed.

This feature request seems to be completely implemented so I am closing it...
